#! ruby -Ks
  # copy 'exlap.rb' to the ruby library path
require "fileutils"

def remove_old_file()
    ary = $:
    count = 0
    ary.each do |dir|
      next  if dir =~ /^\./
      dir = dir.gsub(/\\/, "/")
      dir = dir.sub(/\/+$/, "")
      filename = dir + "/exlap.rb"
      if test(?e, filename)
        File.unlink(filename)
        puts "delete '#{filename}'"
        count += 1
      end
    end
    return count
end

## main
src = "exlap.rb"
unless test(?e, src)
  puts "can't find 'exlap.rb' "
  exit
end

dest_dir = nil
ary = $:
ary.each {|dir|
  dir = dir.gsub(/\\/, "/")
  if dir =~ /site_ruby\/\d[^\/]+$/
    dest_dir = dir
    break
  end
}
if dest_dir
  remove_old_file()
  FileUtils.cp(src, dest_dir, {:preserve=>true})
  puts "copy 'exlap.rb' to '#{dest_dir}'"
else
  puts "can't copy 'exlap.rb'"
end
