#! ruby -Ks
# Aux*200+y*300=2600v@ux+y=11v
require "exlap"
filename = "slv04.xls"
Exlap.new(filename) do |wb|
  slv = ExlSolver.new(wb.app.obj)
  ss = wb.fes
  ss.Activate
  ss.Range("A1:B1").Value = [[1, 1]]  # l̐ݒ(_~[)
  ss.Range("C1").Formula = "=A1*200+B1*300"
  ss.Range("D1").Formula = "=A1+B1"
  slv.ok("C1", 'val', 2600, "A1:B1")  # x*200+y*300=2600̖ڕW
  slv.add("A1", 'int')  # A1łƂ̐
  slv.add("B1", 'int')  # B1łƂ̐
  slv.add("D1", '=', 11)  # x+y=11̐
  slv.settle  # \o[̎sƌʂ̃Zւ̏
  wb.save
end
